mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
options_manager.c File Reference
`#include <string.h>`
`#include <gtk/gtk.h>`
`#include <glib/gi18n.h>`
`#include <libmp3splt/mp3splt.h>`
`#include "util.h"`
`#include "player_tab.h"`
`#include "freedb_tab.h"`
`#include "main_win.h"`
`#include "preferences_tab.h"`
`#include "special_split.h"`
`#include "combo_helper.h"`
`#include "options_manager.h"`
`#include "radio_helper.h"`
Include dependency graph for options_manager.c:

Go to the source code of this file.

## Functions

void | put_options_from_preferences ()
void | put_tags_from_filename_regex_options ()
void | update_output_options ()

## Variables

GtkWidget * | adjust_mode
GtkComboBox * | album_text_properties_combo
GtkWidget * | all_silence_remove_silence
GtkWidget * | all_spinner_silence_minimum
GtkWidget * | all_spinner_silence_number_tracks
GtkWidget * | all_spinner_silence_offset
GtkWidget * | all_spinner_silence_threshold
GtkWidget * | all_spinner_track_minimum
GtkWidget * | all_spinner_trim_silence_threshold
GtkComboBox * | artist_text_properties_combo
GtkWidget * | comment_tag_entry
GtkComboBox * | comment_text_properties_combo
GtkWidget * | create_dirs_from_output_files
gint | debug_is_active
gchar * | filename_to_split
GtkWidget * | frame_mode
GtkComboBox * | genre_combo
GtkWidget * | output_entry
GtkWidget * | regex_entry
GtkWidget * | replace_underscore_by_space_check_box
gint | selected_split_mode
GtkWidget * | spinner_adjust_gap
GtkWidget * | spinner_adjust_offset
GtkWidget * | spinner_adjust_threshold
GtkWidget * | spinner_equal_tracks
GtkWidget * | spinner_time
GtkWidget * | tags_radio
GList * | text_options_list
splt_state * | the_state
GtkComboBox * | title_text_properties_combo

## Detailed Description

    Get the current state of all GUI buttons

The code contained in this file reads out the current state of all GUI buttons and saves it into the structure the_state.

Definition in file options_manager.c.

## Function Documentation

void put_options_from_preferences | ( |  | ) |

Update the the_state structure.

Updates the the_state structure by reading out the state of the GUI controls. The only exception is that all options that are directly connected to audio output have been split into a separate function: update_output_options()

Definition at line 134 of file options_manager.c.

References adjust_mode, frame_mode, get_checked_tags_version_radio_box(), spinner_adjust_gap, SPLT_CURRENT_TAGS, SPLT_FALSE, SPLT_NO_TAGS, SPLT_OPT_AUTO_ADJUST, SPLT_OPT_CREATE_DIRS_FROM_FILENAMES, SPLT_OPT_DEBUG_MODE, SPLT_OPT_FORCE_TAGS_VERSION, SPLT_OPT_FRAME_MODE, SPLT_OPT_INPUT_NOT_SEEKABLE, SPLT_OPT_LENGTH_SPLIT_FILE_NUMBER, SPLT_OPT_PARAM_GAP, SPLT_OPT_PARAM_MIN_LENGTH, SPLT_OPT_PARAM_MIN_TRACK_LENGTH, SPLT_OPT_PARAM_NUMBER_TRACKS, SPLT_OPT_PARAM_OFFSET, SPLT_OPT_PARAM_REMOVE_SILENCE, SPLT_OPT_PARAM_THRESHOLD, SPLT_OPT_SPLIT_MODE, SPLT_OPT_SPLIT_TIME, SPLT_OPT_TAGS, SPLT_OPTION_ERROR_MODE, SPLT_OPTION_LENGTH_MODE, SPLT_OPTION_NORMAL_MODE, SPLT_OPTION_SILENCE_MODE, SPLT_OPTION_TIME_MODE, SPLT_OPTION_TRIM_SILENCE_MODE, SPLT_OPTION_WRAP_MODE, SPLT_TAGS_ORIGINAL_FILE, SPLT_TRUE, and tags_radio.

Referenced by fix_ogg_stream(), and split_button_event().

Here is the call graph for this function:

Here is the caller graph for this function:

void update_output_options | ( |  | ) |

Update the output options.

Update the output options in the_state by reading out the state of the GUI controls.

All other options are read out in put_options_from_preferences()

Definition at line 103 of file options_manager.c.

References get_checked_output_radio_box(), inputfilename_get(), mp3splt_set_filename_to_split(), output_entry, print_status_bar_confirmation(), SPLT_OPT_DEBUG_MODE, SPLT_OPT_OUTPUT_FILENAMES, SPLT_OUTPUT_DEFAULT, and SPLT_OUTPUT_FORMAT.

Referenced by handle_import().

Here is the call graph for this function:

Here is the caller graph for this function:

## Variable Documentation

GtkWidget* adjust_mode

auto-adjust option

Definition at line 100 of file preferences_tab.c.

GtkWidget* frame_mode

frame mode option

Definition at line 98 of file preferences_tab.c.

GtkWidget* output_entry

output for the cddb,cue and freedb file output

Definition at line 73 of file preferences_tab.c.

GtkWidget* replace_underscore_by_space_check_box

defgroup options for tags from filename

Definition at line 120 of file preferences_tab.c.

Referenced by load_preferences().

GtkWidget* spinner_adjust_gap

defgroup modeparameters adjust mode parameters

Definition at line 109 of file preferences_tab.c.

GtkWidget* tags_radio

radio button for tags options

Definition at line 93 of file preferences_tab.c.

Referenced by create_tags_options_box(), load_preferences(), and put_options_from_preferences().